Bug 1218541 - Reboot button is disabled in vm context menu if multiple vms selected
Summary: Reboot button is disabled in vm context menu if multiple vms selected
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.6.0
Assignee: Shahar Havivi
QA Contact: Shira Maximov
URL:
Whiteboard: virt
Depends On:
Blocks: 1051388
TreeView+ depends on / blocked
 
Reported: 2015-05-05 08:44 UTC by Shira Maximov
Modified: 2016-02-10 19:49 UTC (History)
9 users (show)

Fixed In Version: 3.6.0-11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 11:18:52 UTC
oVirt Team: Virt


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 43930 master MERGED Reboot button is disabled in vm context menu if multiple vms selected Never
oVirt gerrit 45518 ovirt-engine-3.6 MERGED Reboot button is disabled in vm context menu if multiple vms selected Never

Description Shira Maximov 2015-05-05 08:44:24 UTC
Description of problem:
When choosing vm in UP mode + vm in DOWN mode (or vm in UP mode + vm in SUSPENDED mode)
the reboot button is disabeld. 
according the thumb rule of multipule selstion, if at least one of
the VMs selected is in a status which permits the operation then it will
be allowed

Version-Release number of selected component (if applicable):
3.6
vdsm-4.17.0-632.git19a83a2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Select vm in UP mode + vm in Down mode 
2.right cliclk -> see that the reboot button is disabeld
3.

Actual results:
Reboot button is disabeld

Expected results:
The reboot button is should be enabeld

Additional info:

Comment 1 Omer Frenkel 2015-05-06 08:14:55 UTC
i dont think this should block bug 1051388 as that one talks about context menu

Comment 2 Shira Maximov 2015-09-08 08:49:46 UTC
verified on : Red Hat Enterprise Virtualization Manager Version: 3.6.0-0.13.master.el6

Comment 3 Sandro Bonazzola 2015-11-04 11:18:52 UTC
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.


Note You need to log in before you can comment on or make changes to this bug.